//---------------------------------------------------------------------------

#ifndef MachineSocketFrmH
#define MachineSocketFrmH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Menus.hpp>
#include <ActnList.hpp>
#include <ExtActns.hpp>
#include <StdActns.hpp>
//--------- Needed for the tray icon ---
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Buttons.hpp>
//-------- Machine status form, gets imbedded in this form
#include <ComCtrls.hpp>

//---------------------------------------------------------------------------
class TMSocketForm : public TForm
{
__published:	// IDE-managed Components
	TActionList *ActionList1;
	TFileOpen *FileOpen1;
	TFileOpenWith *FileOpenWith1;
	TFileSaveAs *FileSaveAs1;
	TFilePrintSetup *FilePrintSetup1;
	TFilePageSetup *FilePageSetup1;
	TFileRun *FileRun1;
	TFileExit *FileExit1;
	TBrowseForFolder *BrowseForFolder1;
	TEditCut *EditCut1;
	TEditCopy *EditCopy1;
	TEditPaste *EditPaste1;
	TEditSelectAll *EditSelectAll1;
	TEditUndo *EditUndo1;
	TEditDelete *EditDelete1;
	TAction *Action1;
	TTrayIcon *TrayIcon1;
	TPopupMenu *PopupMenu1;
	TMenuItem *Connect1;
	TMenuItem *Disconnect1;
	TMenuItem *Socketproperties1;
	TMenuItem *XLAProperties1;
	TMenuItem *N1;
	TMenuItem *Exit2;
	TImageList *ImageList1;
	TBitBtn *Okbtn;
	TPanel *Panel1;
	TMenuItem *N3;
	TMenuItem *N4;
	TMenuItem *XLAConnection1;
	TMenuItem *XLAstatusflags1;
	TMenuItem *XLA1;
	TMenuItem *Showavailableports2;
	TMenuItem *N2;
	TMenuItem *XLAproperties2;
	TMenuItem *Usesimulationmode1;
	TMenuItem *N5;
	TMenuItem *Simulationvalues1;
	TTimer *Timer1;
	TMenuItem *ViewmachineXMLRPC1;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall PopupMenu1Popup(TObject *Sender);
	void __fastcall Exit2Click(TObject *Sender);
	void __fastcall OkbtnClick(TObject *Sender);
	void __fastcall XLAProperties1Click(TObject *Sender);
	void __fastcall Socketproperties1Click(TObject *Sender);
	void __fastcall Connect1Click(TObject *Sender);
	void __fastcall Disconnect1Click(TObject *Sender);
	void __fastcall XLAConnection1Click(TObject *Sender);
	void __fastcall XLAstatusflags1Click(TObject *Sender);
	void __fastcall XLA1Click(TObject *Sender);
	void __fastcall Showavailableports2Click(TObject *Sender);
	void __fastcall XLAproperties2Click(TObject *Sender);
	void __fastcall Usesimulationmode1Click(TObject *Sender);
	void __fastcall TrayIcon1DblClick(TObject *Sender);
	void __fastcall TrayIcon1MouseMove(TObject *Sender, TShiftState Shift, int X,
          int Y);
	void __fastcall Simulationvalues1Click(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ViewmachineXMLRPC1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TMSocketForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMSocketForm *MSocketForm;
//---------------------------------------------------------------------------
#endif
