//---------------------------------------------------------------------------

#ifndef SocketTempSetH
#define SocketTempSetH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include "NumberEdit.h"
//---------------------------------------------------------------------------
class TTempSetFrm : public TForm
{
__published:	// IDE-managed Components
  TBitBtn *OKBtn;
  TBitBtn *BitBtn2;
  TTrackBar *TrackBar1;
  TStaticText *DesiredTxt;
  TStaticText *CurrentTxt;
  TStaticText *HeatCoolTxt;
  TStaticText *StaticText1;
  TStaticText *StaticText2;
  TStaticText *StaticText3;
  TEdit *Edit1;
  TLabel *StatusTxt;
  TStaticText *StaticText4;
  TStaticText *StaticText5;
  TStaticText *StaticText6;
	TStaticText *TempTolTxt;
	TEdit *TempTolEd;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall OKBtnClick(TObject *Sender);
  void __fastcall TrackBar1Change(TObject *Sender);
  void __fastcall Edit1Enter(TObject *Sender);
  void __fastcall Edit1Exit(TObject *Sender);
  void __fastcall Edit1KeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
  void __fastcall Edit1KeyPress(TObject *Sender, char &Key);
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall FormDestroy(TObject *Sender);
  void __fastcall TempTolEdEnter(TObject *Sender);
  void __fastcall TempTolEdExit(TObject *Sender);
private:	// User declarations
  bool bIgnore;
  TEdit * Ed;
  TNumberEdit * NumberEdit;
public:		// User declarations
  __fastcall TTempSetFrm(TComponent* Owner);
  void UpdateSettings();
  void HideStatus();
  void HideTolerance();
  int InitialTemp;
  int CurrentTemp;
};
//---------------------------------------------------------------------------
extern PACKAGE TTempSetFrm *TempSetFrm;
//---------------------------------------------------------------------------
#endif
