//---------------------------------------------------------------------------

#ifndef NumberEditH
#define NumberEditH
/*
  #include "NumberEdit.h"
  For the edit box on the form, override:
    OnEnter(...)
      NumberEdit->Initialize((TEdit *)Sender,double min,double max,bool isInteger);
    OnExit(...)
      if(!NumberEdit->ExitQuery()) MyEdit->Text=NumberEdit->InitialText;
    KeyDown(...)
      NumberEdit->KeyDown((TEdit *)Sender,Key,Shift);
    KeyPress(...)
      NumberEdit->KeyPress((TEdit *)Sender,Key);
*/
//---------------------------------------------------------------------------
class TNumberEdit:public TComponent
{
private:
public:
  __fastcall TNumberEdit(TComponent * Owner);
  __fastcall ~TNumberEdit();
 ///Values used in editing a number
  double Max;               ///Used to test if a number is in range
  double Min;
  AnsiString GetValue();
  AnsiString LastText;
  AnsiString InitialText;
  AnsiString Text;
  double  DValue;
  int     IValue;
  bool IsInteger;
  bool HasExponent;
  bool HasPeriod;
 ///Faux functions that mimic TEdit events
  void Initialize(TObject * Sender,double dMin,double dMax,bool bIsInt);  ///Initialize this beast so that it can handle the key events
  TEdit * Value;
  bool __fastcall IsTEdit(TObject * Sender);
  bool __fastcall ExitQuery();
  void __fastcall Change(TObject *Sender);
  void __fastcall KeyPress(TObject *Sender, char &Key);
  void __fastcall KeyDown(TObject *Sender, WORD &Key,TShiftState Shift);
 ///Functions that test the string
  bool HasAPeriod();
  bool HasAnExponent();
  bool IsAPeriod(AnsiString s);
  bool IsANumber(AnsiString s);
  bool IsPlusMinus(AnsiString s);
  bool IsExponent(AnsiString s);
};
#endif
