//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ShowPortsFrm.h"
#include "EnumeratePorts.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPortsFrm *PortsFrm;
//---------------------------------------------------------------------------
__fastcall TPortsFrm::TPortsFrm(TComponent* Owner)
	: TForm(Owner)
{
	EnumeratePorts * ef = new EnumeratePorts(this);
	RichEdit1->Clear();
	AnsiString s;
	s = "Port name \t Type \t \t Description";
	RichEdit1->Lines->Add(s);
	RichEdit1->Lines->Add("___________________________________________________");
	RichEdit1->Lines->Add(" ");
	for (int i=0; i < ef->numports; i++)
	 {
		AnsiString t =ef->PortNames->Strings[i];
		if(t.Length() >= 10)
			t = t+"\t";
		else t = t+"\t \t";
		s = t + ef->PortTypes->Strings[i];
		s = s + "\t \t"+ ef->PortDescriptions->Strings[i];
		RichEdit1->Lines->Add(s);
	 }
	delete ef;
}
//---------------------------------------------------------------------------
void __fastcall TPortsFrm::Exit1Click(TObject *Sender)
{
 Close();	
}
//---------------------------------------------------------------------------
void __fastcall TPortsFrm::Print1Click(TObject *Sender)
{///Print the RichEdit control
	PrintDialog1->Execute();
	RichEdit1->Print("Ports");
}
//---------------------------------------------------------------------------
