//---------------------------------------------------------------------------

#ifndef TextEditorH
#define TextEditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ActnList.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <ExtActns.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <StdActns.hpp>
///--- To add bitmap images to the report -----
#include "RichEditOleCallback.h"
#include "RichEditOLE.h"
//---------------------------------------------------------------------------
class TRTFfrm : public TForm
{
__published:	// IDE-managed Components
  TActionList *ActionList1;
  TRichEditBold *RichEditBold1;
  TRichEditItalic *RichEditItalic1;
  TRichEditUnderline *RichEditUnderline1;
  TRichEditStrikeOut *RichEditStrikeOut1;
  TRichEditBullets *RichEditBullets1;
  TRichEditAlignLeft *RichEditAlignLeft1;
  TRichEditAlignRight *RichEditAlignRight1;
  TRichEditAlignCenter *RichEditAlignCenter1;
  TEditCut *EditCut1;
  TEditCopy *EditCopy1;
  TEditPaste *EditPaste1;
  TEditSelectAll *EditSelectAll1;
  TEditUndo *EditUndo1;
  TEditDelete *EditDelete1;
  TFileOpen *FileOpen1;
  TFileOpenWith *FileOpenWith1;
  TFileSaveAs *FileSaveAs1;
  TFilePrintSetup *FilePrintSetup1;
  TFileExit *FileExit1;
  TSearchFind *SearchFind1;
  TSearchFindNext *SearchFindNext1;
  TSearchReplace *SearchReplace1;
  TSearchFindFirst *SearchFindFirst1;
  TAction *Action1;
  TFontEdit *FontEdit1;
  TPrintDlg *PrintDlg1;
  TRichEdit *RichEdit1;
  TPanel *Panel7;
  TBitBtn *BitBtn1;
  TMainMenu *MainMenu2;
  TMenuItem *File2;
  TMenuItem *New1;
  TMenuItem *SaveAs1;
  TMenuItem *MenuItem1;
  TMenuItem *Print2;
  TMenuItem *PrintSetup2;
  TMenuItem *Edit2;
  TMenuItem *Undo2;
  TMenuItem *N9;
  TMenuItem *Cut2;
  TMenuItem *Copy2;
  TMenuItem *Paste2;
  TMenuItem *N3;
  TMenuItem *Find2;
  TMenuItem *FindFirst1;
  TMenuItem *Replace2;
  TMenuItem *Replace1;
  TMenuItem *N7;
  TMenuItem *SelectAll1;
  TMenuItem *MenuItem2;
  TMenuItem *MenuItem3;
  TMenuItem *MenuItem4;
  TMenuItem *MenuItem5;
  TMenuItem *MenuItem6;
  TMenuItem *MenuItem7;
  TMenuItem *MenuItem8;
  TMenuItem *MenuItem9;
  TMenuItem *MenuItem10;
  TMenuItem *MenuItem11;
  TMenuItem *MenuItem12;
  TMenuItem *MenuItem13;
  TMenuItem *MenuItem14;
	TMenuItem *Pasteimage1;
	TMenuItem *Pastespecial1;
  void __fastcall FileSaveAs1SaveDialogClose(TObject *Sender);
  void __fastcall FileSaveAs1BeforeExecute(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall New1Click(TObject *Sender);
	void __fastcall Print2Click(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall Pasteimage1Click(TObject *Sender);
	void __fastcall Pastespecial1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TRTFfrm(TComponent* Owner);
  TIRichEditOle * TREOle;                 ///Ole capabilities for the RichEdit control
  void __fastcall BlankLine(int num=1);
	void __fastcall AddLine(AnsiString s,int size,bool ital,bool bold,bool under,bool center);            ///Adds a line of text to the RichEdit, and selects it so that the line may be formatted
	void __fastcall AddLine(AnsiString s);																			/// Simply append line, no formatting
	AnsiString InitialPath;
	bool bUnderlineOn;
  bool bBoldOn;
  bool bItalicOn;
};
//---------------------------------------------------------------------------
extern PACKAGE TRTFfrm *RTFfrm;
//---------------------------------------------------------------------------
#endif
