//---------------------------------------------------------------------------

#ifndef VacuumSystemH
#define VacuumSystemH
#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
class TVacuumSystem:public TComponent
{
private:
public:
		__fastcall TVacuumSystem(TComponent *Owner);
		__fastcall ~TVacuumSystem();
 ///Utility
	AnsiString __fastcall  GetVacuumStatus();													/// Returns string with current vacuum status
 ///Hardware tests prior to starting an experiment
	bool bPumpDown;              																			/// Is machine in pumpdown phase... only true if pressure is > 50 microns and pump is on
	bool bVacuumOK;              																			/// Is machine at pressure < 50 microns
 ///Pump related items
	double StartOfPumping;          																	/// Time when the vacuum was started
	void __fastcall StartPumping();																		/// Set start of pumping time & flag
 ///Used for simulating pumping
	double PumpTime;
	void __fastcall SimulatePumping();																/// Just like it says
};
//---------------------------------------------------------------------------
#endif
 