//---------------------------------------------------------------------------


#pragma hdrstop

#include "XLCalScanData.h"
#include "XLCalData.h"
#include "Machine.h"

//---------------------------------------------------------------------------
__fastcall XLCalScanData::XLCalScanData (TComponent* Owner,int which):TComponent(Owner)
 {
  switch (which)
    {///The
      case DELAY_SCAN:
        putItem (0, DEFAULT_CELLNUM);
        putItem (1, DEFAULT_VIEWANGLE);
        putItem (2, DEFAULT_CALRADPOS);
        putItem (3, DEFAULT_CSWAVEPOS);
        break;
      case WAVE_SCAN:
        putItem (0, DEFAULT_CELLNUM);
        putItem (1, Machine->CalSettings->getLowWave());
        putItem (2, Machine->CalSettings->getHiWave());
        putItem (3, DEFAULT_CALRADPOS);
        break;
      case TIME_SCAN:
        putItem (0, DEFAULT_CELLNUM);
        putItem (1, DEFAULT_FREQ);
        putItem (2, DEFAULT_CALRADPOS);
        putItem (3, DEFAULT_CSWAVEPOS);
      default:
        break;
    }
}
//---------------------------------------------------------------------------
__fastcall  XLCalScanData::~XLCalScanData()
{
}
//---------------------------------------------------------------------------
void XLCalScanData::getAll (XLCalScanData* source)
{///Load a structure
  for (short i=0; i<4; i++)
    putItem (i, source->getItem (i));
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
