//---------------------------------------------------------------------------

#ifndef XLCalScanDataH
#define XLCalScanDataH
#include <vcl.h>
#pragma hdrstop

#define	DELAY_SCAN		13
#define	WAVE_SCAN     69
#define	TIME_SCAN     502

#define	DEFAULT_CELLNUM			"1\0"
#define	DEFAULT_VIEWANGLE		"45\0"
#define	DEFAULT_CALRADPOS		"6.5\0"
#define	DEFAULT_CSWAVEPOS		"550\0"
#define	DEFAULT_FREQ 				"1000\0"

#define	CELLNUMLEN			2
#define	VIEWANGLELEN    5
#define	WAVEPOSLEN      4
#define	FREQLEN					5

#define	CALSCANITEMMAXLEN	5

class XLCalScanData:public TComponent
{///Data for three calibration scan types: delay, wavelength, time
private:
  char item [4] [CALSCANITEMMAXLEN];
public:
  __fastcall XLCalScanData(TComponent *Owner, int which=0);
  __fastcall ~XLCalScanData();
  void getAll(XLCalScanData* source);
  char* getItem(int which) {return (item [which]);}
  void putItem(int which, char* data) {strcpy (item [which], data);}
};
//---------------------------------------------------------------------------
#endif
