//---------------------------------------------------------------------------

#ifndef XLCommSettingsH
#define XLCommSettingsH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TCommSet : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel2;
  TPanel *Panel3;
  TBitBtn *OKbtn;
  TStaticText *StaticText2;
  TComboBox *XLPortBox;
  TButton *XLSendCommand;
  TComboBox *XLcb;
  TStaticText *StaticText8;
  TMemo *Memo1;
  TStaticText *StaticText6;
  TSpeedButton *ClearMemo;
  TStaticText *XLastCmdTxt;
	TTimer *Timer1;
	TLabel *ComStatTxt;
  void __fastcall OKbtnClick(TObject *Sender);
  void __fastcall ClearMemoClick(TObject *Sender);
  void __fastcall FormShow(TObject *Sender);
  void __fastcall XLPortBoxChange(TObject *Sender);
  void __fastcall XLSendCommandClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall XLPortBoxKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
	void __fastcall XLPortBoxKeyPress(TObject *Sender, char &Key);

private:	// User declarations
 //For the XL com port
	AnsiString LastXLCmd;
	void __fastcall UpdateXLData();
	bool bNeedsUpdate;
	void __fastcall LoadPortBox();																							/// Load the port box with the available com ports
public:		// User declarations
	__fastcall TCommSet(TComponent* Owner);
//For the XLI com port
	void UpdateCommSet(AnsiString s);
	bool bOK;                                    																/// Set true if the ports are opened successfully
};
//---------------------------------------------------------------------------
extern PACKAGE TCommSet *CommSet;
//---------------------------------------------------------------------------
#endif

