//---------------------------------------------------------------------------
#pragma hdrstop

#include "XLHWData.h"
#include <stdio.h>
//---------------------------------------------------------------------------
__fastcall XLHWData::XLHWData (TComponent* Owner,bool developChecksum):TComponent(Owner)
{
  if (developChecksum)
    DevelopChecksum();
  putPmtVoltage (DEFAULT_PMTV);
  putPgaGain (DEFAULT_PGAGAIN);
  putIncGain (DEFAULT_INCGAIN);
  putDelayTime (DEFAULT_DELAYTIME);
  putRadPos (DEFAULT_RADPOS);
  putWavePos (DEFAULT_WAVEPOS);
  putStrobeRate (DEFAULT_STROBERATE);
  putStrobeCell (DEFAULT_STROBECELL);
  putRadSpeed (DEFAULT_RADSPEED);
  putWaveSpeed (DEFAULT_WAVESPEED);
  putRawData (DEFAULT_RAWDATA);
  char buff [8];
  GetPrivateProfileString ("Laser Setup", "Holes", "0", buff, 80, "XLA.INI");
  int holes = atoi (buff);
  (holes == 0) ?
    putHoles (DEFAULT_HOLES):
    putHoles ("8");
}
//---------------------------------------------------------------------------
__fastcall  XLHWData::~XLHWData()
{
}
//---------------------------------------------------------------------------
void XLHWData::getAll (XLHWData* source)
{///Populate an XLHWData class
  putPmtVoltage (source->getPmtVoltage());
  putPgaGain (source->getPgaGain());
  putIncGain (source->getIncGain());
  putDelayTime (source->getDelayTime());
  putRadPos (source->getRadPos());
  putWavePos (source->getWavePos());
  putStrobeRate (source->getStrobeRate());
  putStrobeCell (source->getStrobeCell());
  putRadSpeed (source->getRadSpeed());
  putWaveSpeed (source->getWaveSpeed());
  putRawData (source->getRawData());
  putHoles (source->getHoles());
}
//---------------------------------------------------------------------------

#pragma package(smart_init)
