//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("MachineSocketFrm.cpp", MSocketForm);
USEFORM("SocketSetTimeFrm.cpp", TimeSetFrm);
USEFORM("SocketTempSet.cpp", TempSetFrm);
USEFORM("SocketRpmSet.cpp", RpmSetFrm);
USEFORM("XLSimulatorFrm.cpp", XLSimFrm);
USEFORM("..\MachineFlgFrm.cpp", MachineFlagFrm);
USEFORM("..\MachineMod.cpp", MachineDB); /* TDataModule: File Type */
USEFORM("..\MachinePropertiesForm.cpp", MachinePropFrm);
USEFORM("..\MachineStatusForm.cpp", MachineStatusFrm);
USEFORM("..\ShowPortsFrm.cpp", PortsFrm);
USEFORM("..\TextEditor.cpp", RTFfrm);
USEFORM("..\ViewMachineErrors.cpp", ViewMachineErrorFrm);
USEFORM("..\ViewMachineXML.cpp", MachineXMLViewer);
USEFORM("..\XLCommSettings.cpp", CommSet);
USEFORM("..\XLSocket.cpp", AOSMachineSocket);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE hInstance, LPSTR, int)
{
	::CreateMutex(NULL,false, "AOS");																					///Prevent this from running twice, or running when AOS is running
	if (GetLastError() == ERROR_ALREADY_EXISTS ){
		// Found another running application with the same mutex
		// so one instance is already running.
		Application->Title = "AOS Machine Socket";
		HWND FirsthWnd, FirstChildhWnd;
		// see Application->Title or Options|Project|Application Tab|Title
		FirsthWnd = ::FindWindow("TApplication", "AOS");
		if (::IsIconic(FirsthWnd))
				::ShowWindow(FirsthWnd, SW_SHOWDEFAULT);
		::SetForegroundWindow(FirsthWnd);
		FirstChildhWnd = ::GetLastActivePopup(FirsthWnd);
		if (FirsthWnd != FirstChildhWnd)
				::BringWindowToTop(FirstChildhWnd); // A pop-up is active so bring it to the top too.
	}
	else{
		try
		{
			Application->Initialize();
			Application->CreateForm(__classid(TMSocketForm), &MSocketForm);
		Application->Run();
		}
		catch (Exception &exception)
		{
			Application->ShowException(&exception);
		}
		catch (...)
		{
			try
			{
				throw Exception("");
			}
			catch (Exception &exception)
			{
				Application->ShowException(&exception);
			}
		}
	}
	return 0;
}
//---------------------------------------------------------------------------
