//---------------------------------------------------------------------------

#ifndef XLSocketH
#define XLSocketH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ScktComp.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
#include <Menus.hpp>
#include <ActnList.hpp>
#include <Dialogs.hpp>
#include <ExtActns.hpp>
#include <StdActns.hpp>
#include <msxmldom.hpp>
#include <XMLDoc.hpp>
#include <xmldom.hpp>
#include <XMLIntf.hpp>
#include <DB.hpp>
#include <DBClient.hpp>
#include "TextEditor.h"
//---------------------------------------------------------------------------
class TAOSMachineSocket : public TForm
{
__published:	// IDE-managed Components
		TPanel *Panel1;
	TEdit *ServerPort;
		TLabel *PortLabel;
		TButton *StartButton;
		TButton *StopButton;
	TStaticText *StaticText2;
	TStaticText *StaticText4;
	TStaticText *StaticText5;
	TStaticText *StaticText6;
	TEdit *ClientPort;
	TLabel *Label1;
	TLabel *Label2;
	TEdit *ClientAddress;
	TEdit *ServerAddress;
	TBevel *Bevel1;
	TButton *ConnectButton;
	TButton *DisconnectButton;
	TStatusBar *StatusBar1;
	TMainMenu *MainMenu1;
	TMenuItem *Exit1;
	TMenuItem *Server1;
	TMenuItem *Saveaddress1;
	TMenuItem *Saveport1;
	TMenuItem *Savesettings1;
	TMenuItem *Client1;
	TMenuItem *Saveclientaddress1;
	TMenuItem *Saveclientport1;
	TMenuItem *Saveclientsettings1;
	TMenuItem *View1;
	TMenuItem *Connectionstoserver1;
	TMenuItem *ServerMessagessent1;
	TMenuItem *ServerMessagesreceived1;
	TMenuItem *ClientMessagessent1;
	TMenuItem *ClientMessagesreceived1;
	TClientSocket *AOSClient;
	TServerSocket *AOSServer;
	TPanel *Panel4;
	TPanel *EditPanel;
	TSplitter *Splitter1;
	TPanel *Panel6;
	TPanel *Panel2;
	TSpeedButton *ClearBtn;
	TPanel *Panel7;
	TTreeView *TreeView1;
	TMenuItem *Clearallmessages1;
	TMenuItem *N1;
	TPopupMenu *PopupMenu1;
	TMenuItem *File2;
	TMenuItem *N2;
	TMenuItem *PrintSetup1;
	TMenuItem *Print1;
	TMenuItem *N3;
	TMenuItem *Save1;
	TMenuItem *N4;
	TMenuItem *Open1;
	TMenuItem *Edit1;
	TMenuItem *Object1;
	TMenuItem *Links1;
	TMenuItem *N5;
	TMenuItem *GoTo1;
	TMenuItem *Replace1;
	TMenuItem *Find1;
	TMenuItem *N6;
	TMenuItem *PasteSpecial1;
	TMenuItem *Paste1;
	TMenuItem *Copy1;
	TMenuItem *Cut1;
	TMenuItem *N7;
	TMenuItem *Repeatcommand1;
	TMenuItem *Undo1;
	TMenuItem *Clearallmessages2;
	TComboBox *ViewCB;
	TLabel *Label3;
	TLabel *Label4;
	TStaticText *StaticText1;
	TEdit *ToEd;
	TStaticText *StaticText3;
	TEdit *FromEd;
	TStaticText *StaticText7;
	TStaticText *StaticText8;
	TActionList *ActionList1;
	TEditCut *EditCut1;
	TEditCopy *EditCopy1;
	TEditPaste *EditPaste1;
	TEditSelectAll *EditSelectAll1;
	TEditUndo *EditUndo1;
	TEditDelete *EditDelete1;
	TFileOpen *FileOpen1;
	TFileOpenWith *FileOpenWith1;
	TFileSaveAs *FileSaveAs1;
	TFilePrintSetup *FilePrintSetup1;
	TFilePageSetup *FilePageSetup1;
	TBrowseURL *BrowseURL1;
	TDownLoadURL *DownLoadURL1;
	TSendMail *SendMail1;
	TPrintDialog *PrintDialog1;
	TXMLDocument *XMLDocument1;
	TMenuItem *N8;
	TMenuItem *Showtextview1;
	TMenuItem *ShowXMLview1;
	TClientDataSet *AOSCommandDB;
	TStringField *AOSCommandDBCommand;
	TIntegerField *AOSCommandDBCommandIndex;
	TBitBtn *BitBtn1;
	TMenuItem *N9;
	TMenuItem *Viewavailablecommands1;
	TLabel *SubTxt;
	void __fastcall StartButtonClick(TObject *Sender);
	void __fastcall StopButtonClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall AOSServerClientConnect(TObject *Sender,
				TCustomWinSocket *Socket);
	void __fastcall AOSServerClientDisconnect(TObject *Sender,
				TCustomWinSocket *Socket);
	void __fastcall AOSServerClientRead(TObject *Sender,
				TCustomWinSocket *Socket);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormDestroy(TObject *Sender);
  void __fastcall ClearBtnClick(TObject *Sender);
  void __fastcall ConnectButtonClick(TObject *Sender);
  void __fastcall DisconnectButtonClick(TObject *Sender);
  void __fastcall Connectionstoserver1Click(TObject *Sender);
  void __fastcall Messagesreceivedbyserver1Click(TObject *Sender);
  void __fastcall Messagessentbyserver1Click(TObject *Sender);
  void __fastcall AOSClientRead(TObject *Sender, TCustomWinSocket *Socket);
  void __fastcall AOSClientError(TObject *Sender, TCustomWinSocket *Socket,
          TErrorEvent ErrorEvent, int &ErrorCode);
  void __fastcall Messagessentbyclient1Click(TObject *Sender);
	void __fastcall ClientMessagesreceived1Click(TObject *Sender);
	void __fastcall Saveaddress1Click(TObject *Sender);
	void __fastcall Saveport1Click(TObject *Sender);
	void __fastcall Savesettings1Click(TObject *Sender);
	void __fastcall Saveclientaddress1Click(TObject *Sender);
	void __fastcall Saveclientport1Click(TObject *Sender);
	void __fastcall Saveclientsettings1Click(TObject *Sender);
	void __fastcall ViewCBKeyDown(TObject *Sender, WORD &Key,
					TShiftState Shift);
	void __fastcall ViewCBKeyPress(TObject *Sender, char &Key);
	void __fastcall ViewCBSelect(TObject *Sender);
	void __fastcall Showtextview1Click(TObject *Sender);
	void __fastcall ShowXMLview1Click(TObject *Sender);
	void __fastcall Exit1Click(TObject *Sender);
	void __fastcall BitBtn1Click(TObject *Sender);
	void __fastcall AOSServerAccept(TObject *Sender, TCustomWinSocket *Socket);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall Viewavailablecommands1Click(TObject *Sender);
private:	// User declarations
 ///Lists used in the socket
	int __fastcall GetSocketIndex(TCustomWinSocket * Socket);                 	/// Returns the index of the socket
	void __fastcall LoadMachineList();                                        	/// Load the machine list with the initial valuse
	void __fastcall GetConnections(TCustomWinSocket *Socket);                 	/// Will return the list of connections to the server
 ///Utilities for read/write
	bool __fastcall IsValidMessage(AnsiString msg);                           	/// Checks to see if the message is valid XMLRPC
	void __fastcall MessageHandler(AnsiString msg,TCustomWinSocket *Socket);  	/// Break the msg into separate messages for processing
	void __fastcall SendValue(TCustomWinSocket *Socket,AnsiString value);   		/// Packages and sends the value to the socket
	void __fastcall SendSuccess(TCustomWinSocket *Socket,AnsiString val);		  	/// Return success code to the caller
	void __fastcall SendFailure(TCustomWinSocket *Socket,AnsiString val);				/// Create an Error response containing the message
	void __fastcall SendClientMessage(AnsiString msg);                        	/// Send the message out the Client socket
	void __fastcall ShowXML(TXMLDocument * d,AnsiString sub = "Unknown function"); /// Show the current XMLDocument1 in TreeView1, display the calling subroutine
 ///Machine commands
	void __fastcall MachineCommandHandler(TCustomWinSocket *Socket,AnsiString t);/// Deal with the command contained in this message
	void __fastcall GetMachineCommandList(TStringList * strngs);          			/// Will return the command strings for the Machine system to the requesting socket
	bool __fastcall SetTemperatureTolerance(AnsiString cmd);										/// Will set the temperature range allowed for an experiment to start
	bool __fastcall SetTemperature(AnsiString cmd);      												/// If the Temp button can be clicked, set the desired temperature to the value in cmd. Return true if successful
	bool __fastcall SetRotorSpeed(AnsiString cmd);       												/// If the Rpm button can be clicked, return "True" as the value, else return "False"
 ///AOS Server socket
	AnsiString  GetServerSocketAddress();                 											/// Returns the ServerSocket address
	bool        SetServerSocketAddress(AnsiString msg);   											/// Save the Server socket address in the registry
	AnsiString  GetServerSocketPort();                    											/// Returns the ServerSocket port
	bool        SetServerSocketPort(AnsiString msg);      											/// Save the server socket port in the registry
 ///Client socket
	AnsiString  GetClientSocketAddress();                	 											///Returns the ServerSocket address
	bool        SetClientSocketAddress(AnsiString msg);   											///Save the Server socket address in the registry
	AnsiString  GetClientSocketPort();                    											///Returns the ServerSocket port
	bool        SetClientSocketPort(AnsiString msg);      											///Save the server socket port in the registry
 ///Registry functions
	TRegistry * GetRegistry();                                                	///Utility function to create the registry key values and open the key. Deletes registry and sets it NULL if unsuccessful
 ///Lists used in the socket
	TStringList *ConnectedList;                                               	///Keep a list of who is logged in
	TStringList *ServerRcvMsg;                                                	///Keep a list of all server messages received
	TStringList *ServerSndMsg;                                                	///Keep a list of all server messages sent
	TStringList *ClientRcvMsg;                                                	///Keep a list of all client messages received
	TStringList *ClientSndMsg;                                                	///Keep a list of all client messages sent
	TStringList *MachineList;																										/// List of the basic machine commands
	void __fastcall ClearAll();                                               	/// Clears all messages
 ///Messages and Server Commands
	void __fastcall BroadcastMessage(TStrings * strngs);												/// Create the message string and send it to all sockets
	void __fastcall BroadcastMessage(AnsiString aMessage);                  		///Send the message to all sockets
	void __fastcall SendMessage(AnsiString aMessage, int iTo);              		///Send the message to socket i on the ConnectedList
	void __fastcall SendMessage(TStrings * strngs,TCustomWinSocket *Socket);		/// Pack the strngs into one string, get the index, use SendMessage(s,int i)
	void __fastcall StartServer();                                          		///Calls StartButtonClick
	void __fastcall StopServer();                                           		///Calls StopButtonClick
 /// DB file name for commands
	AnsiString CommandDBFileName;																								///Where the ClientDataSet file is kept
	bool 				__fastcall CreateDB();																					///Create the database
	bool 				__fastcall AddListToDB(TStringList * thelist); 									///Loop over the list and add the entries to the command db
 /// Deal with the ClientDataSet
	bool __fastcall CommandExists(AnsiString s);																///Returns true if there is a command string
	bool __fastcall AddCommand(AnsiString s);																		///Add a new command and its unique Command index
public:		// User declarations
	__fastcall TAOSMachineSocket(TComponent* Owner);
 /// Editor for the messages
	TRTFfrm *editor;
 /// Public call to determine if there are connections to the server
	bool __fastcall HasConnections();                                           ///Returns true if the socket is active and has connections
};
//---------------------------------------------------------------------------
extern PACKAGE TAOSMachineSocket *AOSMachineSocket;
//---------------------------------------------------------------------------
#endif
